#ifndef Render_H
#define Render_H

#include <Bildschirm.h>
#include <Thread.h>
#include <Zeit.h>
#include <Schrift.h>
#include "Fps.h"

using namespace Framework;

class Render : public Thread
{
private:
	bool exit;
	Bildschirm *bildschirm;
	ZeitMesser *time;
	double tickval;
	Fps *fps;
	unsigned char deckAlpha;
	bool inAnimation;
	int ref;

public:
	// Konstruktor 
	Render( Schrift *schrift );
	// Destruktor 
	~Render();
	// nicht constant 
	void setBildschirm( Bildschirm *bildschirm ); // setzt den Bildschirm
	virtual void thread(); // Render Schleife
	void beginn(); // beginnt rendering
	void beenden(); // exit = 1;
	// constant
	Bildschirm *getBildschirm(); // gibt den Bildschirm zurück
	Bildschirm *zBildschirm();
	// Reference Counting
	Render *getThis();
	Render *release();
};

#endif